# sushy.oem.dell.resources.system package

## Subpackages

- sushy.oem.dell.resources.system.storage package
  - Submodules
  - sushy.oem.dell.resources.system.storage.constants module
    - `ControllerMode`
      - `ControllerMode.EHBA`
      - `ControllerMode.HBA`
      - `ControllerMode.RAID`
  - sushy.oem.dell.resources.system.storage.controller module
    - `DellStorageController`
      - `DellStorageController.controller_mode`
    - `DellStorageControllerExtension`
      - `DellStorageControllerExtension.convert_to_raid()`
      - `DellStorageControllerExtension.dell_storage_controller`
    - `get_extension()`
  - Module contents

## Submodules

## sushy.oem.dell.resources.system.constants module

class sushy.oem.dell.resources.system.constants.PhysicalDiskStateMode(*values)

  Bases: `Enum`

  Physical disk state mode constants

  NONRAID = 'Non-RAID'

    Non-RAID physical disk state mode

  RAID = 'RAID'

    RAID physical disk state mode

## sushy.oem.dell.resources.system.raid_service module

class sushy.oem.dell.resources.system.raid_service.ActionsField(*args, **kwargs)

  Bases: `CompositeField`

  clear_foreign_config = <sushy.resources.common.ActionField object>
  convert_to_nonraid = <sushy.resources.common.ActionField object>
  convert_to_raid = <sushy.resources.common.ActionField object>

class sushy.oem.dell.resources.system.raid_service.DellRaidService(connector, identity, redfish_version=None, registries=None, root=None)

  Bases: `ResourceBase`

  clear_foreign_config(controller_fqdd)

    Clears foreign configuration

    Prepares any foreign physical disks for inclusion in the local configuration

    Parameters:

      controller_fqdd – FQDD of controller to clear foreign config

    Returns:

      Sushy’s TaskMonitor instance for TaskService task if there are foreign drives to clear, otherwise None.

  convert_to_nonraid(physical_disk_fqdds)

    Converts physical disks to non-RAID state.

    Parameters:

      physical_disk_fqdds – An array of FQDDs where each identifies a physical drive.

    Returns:

      Sushy’s TaskMonitor instance for TaskService task

  convert_to_raid(physical_disk_fqdds)

    Converts physical disks to a state usable for RAID

    Parameters:

      physical_disk_fqdds – An array of FQDDs where each identifies a physical drive.

    Returns:

      Sushy’s TaskMonitor instance for TaskService task

  identity = <sushy.resources.base.Field object>

## sushy.oem.dell.resources.system.system module

class sushy.oem.dell.resources.system.system.DellSystemExtension(connector, path='', redfish_version=None, registries=None, reader=None, root=None)

  Bases: `OEMResourceBase`

  change_physical_disk_state(mode, controller_to_disks=None)

    Converts physical disks RAID status

    Converts only those disks that are not already in requested mode.

    Parameters:

      - mode – constants.PhysicalDiskStateMode

      - controller_to_disks – dictionary of controllers and their drives. Optional, if not provided, processes all RAID, except BOSS, controller drives.

    Returns:

      List of task monitors for each controller’s disks if any drives need changes

  clear_foreign_config(storage_list=None)

    Clears foreign config on given controllers

    Parameters:

      storage_list – List of storage objects, each of which corresponds to a controller

    Returns:

      List of task monitors, where each entry is for a controller that has foreign config to clear

  property raid_service

    DellRaidService of the system

sushy.oem.dell.resources.system.system.get_extension(*args, **kwargs)

## Module contents

this page last updated: 2026-08-20 00:30:00

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.